Subject: Re: Tablesaw choice: Ryobi vs. Grizzly vs. Used Delta Unisaw

From: BigJim <[email-masked]>
Date: Fri, 28 Mar 1997 13:02:24 -0900

At 07:44 AM 3/28/97 GMT, you wrote:
>I learned on a unisaw, but it wasnt my shop. Came time to build my own
>shop, I settled for a BT3000. Im in business, Im building pretty much
>what I want to with it. Its not a bad saw at all, but it sure isnt a
>unisaw. Someone says here youll eventually want one (the unisaw)
>and that is true. Now, if youre seeing used unisaws going for $500,tell
>me where and Ill buy it if you dont. From what Ive seen, unisaws hold
>value real well, and I havent seen one even close to $500.
>The only real shortcomings on the ryobi are power and tablesize and no
>miter gauge slots. Otherwise its fine, and it will do the job as is
>anyways.
>

If you haven't tried a thin-kerf Forrest Woodworker II on your BT3000,
you're missing the second best experience in life! :):)  they're expensive,
but let you cut maple like butter.. and the cut is soooooo smooth!

Jim aka BigJim

<A BT3000 owner who also drools over unisaws!, and was ready to dump his
Ryobi til he found the difference this blade made!>